Classes | Namespaces
SoftBookResourceDir.cpp File Reference
`#include <cassert>`
`#include <string>`
`#include <unordered_map>`
`#include <boost/optional.hpp>`
`#include "libebook_utils.h"`
`#include "EBOOKMemoryStream.h"`
`#include "SoftBookHeader.h"`
`#include "SoftBookResourceDir.h"`

## Classes
class | libebook::SoftBookResourceDirImpl
struct | libebook::SoftBookResourceDirImpl::ResourceInfo

## Namespaces
namespace | libebook

## Variable Documentation

## ◆ m_resourceDir

const shared_ptr<SoftBookResourceDirImpl> m_resourceDir
| private

## ◆ m_stream

const shared_ptr<librevenge::RVNGInputStream> m_stream
| private